Package com.smartgwt.client.types

# Enum ExportImageFormat

java.lang.Object
java.lang.Enum<ExportImageFormat>
com.smartgwt.client.types.ExportImageFormat

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ExportImageFormat>`, `Constable`

public enum ExportImageFormat extends Enum<ExportImageFormat> implements ValueEnum
One of the supported formats for image export.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `JPEG`
  Export as JPEG
  `PNG`
  Export as PNG

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ExportImageFormat`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ExportImageFormat[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PNG

    public static final ExportImageFormat PNG
    Export as PNG

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "png".

  - ### JPEG

    public static final ExportImageFormat JPEG
    Export as JPEG

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "jpeg".

- ## Method Details

  - ### values

    public static ExportImageFormat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ExportImageFormat valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`